package com.ruoyi.dxp.dto;

import com.ruoyi.dxp.dto.database.DatabaseUtilsQueryCondDto;

import java.io.Serializable;
import java.util.List;

/**
 * 共享数据查询数据参数
 */
public class DataShareQueryParam implements Serializable {
    private static final long serialVersionUID = 1L;

    private String accessId;
    private Integer page;
    private Integer pageSize;
    private List<DatabaseUtilsQueryCondDto> query;

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<DatabaseUtilsQueryCondDto> getQuery() {
        return query;
    }

    public void setQuery(List<DatabaseUtilsQueryCondDto> query) {
        this.query = query;
    }
}
